# 32/64bit spec-file
#
%define base_name	PCLOS410

Name: 		wallpaper-theme-%{base_name}
Summary: 	PCLOS410 wallpaper by Linuzoid
Version: 	1.0
Release: 	%mkrel 1
Group: 		Graphical desktop/KDE4
License: 	CC
URL: 		http://www.linuzoidart.22web.org/gallery/
Source: 	%{name}-%{version}.tar.xz
Buildroot: 	%_tmppath/%{name}-%{version}-%{release}
Requires: 	kde-workspace
BuildArch: 	noarch

%description
Wallpaper for the PCLOS410 theme by Linuzoid

%prep
%setup -q 

%build

%install 
rm -rf %buildroot

install -d -m 0755 %buildroot%{_datadir}/wallpapers/
cp -fr * %buildroot%{_datadir}/wallpapers/

%post
/sbin/ldconfig
rm -rf /var/tmp/kdecache-*/plasma-wallpapers
cd %{_datadir}/wallpapers/
[ ! -d Default ] && mkdir Default || rm -rf Default && mkdir Default
cd Default
cat > metadata.desktop << "EOF"
[Desktop Entry]
Name=Default
EOF
ln -s ../%{base_name}/contents contents

%postun
/sbin/ldconfig
%clean
rm -fr %buildroot

%posttrans
sysarch=`getconf LONG_BIT` 
if [ $sysarch -eq 64 ]; then 
/bin/rm -f /usr/share/wallpapers/%{base_name}/contents/screenshot.jpg
/bin/rm -f /usr/share/wallpapers/%{base_name}/contents/images/*x???.jpg
/bin/rm -f /usr/share/wallpapers/%{base_name}/contents/images/*x????.jpg
else 
/bin/rm -f /usr/share/wallpapers/%{base_name}/contents/screenshot-64.jpg
/bin/rm -f /usr/share/wallpapers/%{base_name}/contents/images/*-64.jpg
fi


%files 
%defattr(-,root,root)
%dir %{_datadir}/wallpapers/%{base_name}
%{_datadir}/wallpapers/%{base_name}/*

%changelog
* Sat Mar 30 2013 pinoc <vogtpet at gmail.com> 1.0-1pclos2013
- first build 
